Skip to content

bots.updateMemoryBot

PATCH
/v1/bots/{botId}/memory/bot
curl --request PATCH \
--url https://example.com/v1/bots/example/memory/bot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected": 1, "instructions": "example", "concurrency": 1, "budget": { "period": "day", "limitMicros": 1 } }'

Changes the rules, the concurrency and the budget of the memory Bot. It needs bots.write on a Bot that is not linked.

botId
required
string
>= 1 characters <= 128 characters
Media typeapplication/json
object
expected
required
integer
<= 9007199254740991
instructions
string
<= 20000 characters
concurrency
Any of:
integer
> 0 <= 9007199254740991
budget
Any of:
object
period
required
string
Allowed values: day month
limitMicros
required
integer
<= 9007199254740991

Success

Media typeapplication/json
object
instructions
required
string
concurrency
integer
> 0 <= 9007199254740991
budget
object
period
required
string
Allowed values: day month
limitMicros
required
integer
<= 9007199254740991
revision
required
integer
<= 9007199254740991

Example

{
"budget": {
"period": "day"
}
}

BotInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

BotNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

@nmnmcc/ability/Authorizer/Pending | BotConflict

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Pending
ticket
required
string
reason
string

Example

{
"_tag": "Pending"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

BotStorageUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PolicyUnavailable

Example

{
"_tag": "PolicyUnavailable"
}